"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scalarResolvers = void 0;
const scalars_1 = require("./scalars");
const GraphQLBigInt = require('graphql-bigint');
const GraphQLDateTime = require('graphql-iso-date');
exports.scalarResolvers = {
    Hash32HexString: scalars_1.Hash32HexString,
    BigInt: GraphQLBigInt,
    DateTime: GraphQLDateTime,
    Lovelaces: scalars_1.LoveLaces,
    Percentage: scalars_1.Percentage
};
//# sourceMappingURL=scalar_resolvers.js.map