"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Percentage = void 0;
const graphql_1 = require("graphql");
exports.Percentage = new graphql_1.GraphQLScalarType({
    name: 'Percentage',
    description: '0-100',
    serialize(value) {
        return value;
    },
    parseValue(value) {
        return value;
    },
    parseLiteral(ast) {
        switch (ast.kind) {
            case graphql_1.Kind.STRING:
                return parseInt(ast.value);
            case graphql_1.Kind.INT:
                return ast.value;
        }
    }
});
//# sourceMappingURL=Percentage.js.map